Skip to main content
`Ctrl`+`K`

# DMNetworkEdgeSetMatrix

Sets user-provided Jacobian matrices for this edge to the network

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkEdgeSetMatrix(DM dm, PetscInt p, Mat J[])

Not Collective

## Input Parameters

- dm - the `DMNETWORK` object

- p - the edge point

- J - array (size = 3) of Jacobian submatrices for this edge point: J[0]: this edge J[1] and J[2]: connected vertices, obtained by calling `DMNetworkGetConnectedVertices()`

## See Also

`DM`, `DMNETWORK`, `DMNetworkVertexSetMatrix()`

## Level

advanced

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages